import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiIFrameCommandHandler, UiIFrameConfig } from "../generated/UiIFrameConfig";
export declare class UiIFrame extends AbstractUiComponent<UiIFrameConfig> implements UiIFrameCommandHandler {
    private $iframe;
    constructor(config: UiIFrameConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    setUrl(url: string): void;
}
